Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162208 - [PATCH] bonding: don't drop non-VLAN traffic
Summary: [PATCH] bonding: don't drop non-VLAN traffic
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: kernel
Version: fc2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard: DEFER
Depends On: 174671
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 20:41 UTC by Bryan Wann
Modified: 2007-04-18 17:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 19:11:48 UTC


Attachments (Terms of Use)
Jay Vosburgh/Olaf Kirch's "don't drop non-VLAN traffic" patch (deleted)
2005-06-30 20:42 UTC, Bryan Wann
no flags Details | Diff

Description Bryan Wann 2005-06-30 20:41:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Patch for the bonding driver that was released after FC2 went legacy.  The problem was when the system had an IP it was using on its bond0 interface and an IP configured on a VLAN interface, the bond0 IP stopped working.

This is a patch submitted to netdev by Jay Vosburgh:
  Change the bonding driver to not drop non-VLAN traffic when a
  VLAN is configured above it.  Originally fixed by Olaf Kirch
  <okir@suse.de>; I changed his patch slightly to update comments.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Bring up a bonded interface
2. Assign an IP address to bond0, e.g. 192.168.3.5
3. Assign an IP address on a VLAN on bond0.XXX, e.g. 192.168.8.5
  

Actual Results:  The IP address on bond0 (192.168.3.5) would stop working when the bond0.XXX interface was brought up.

Expected Results:  Configured IP addresses on both bond0 and bond0.XXX should have coexisted peacefully.

Additional info:

Jay's post of the patch to the netdev list:
http://marc.theaimsgroup.com/?l=linux-netdev&m=111230077422086&w=2

Comment 1 Bryan Wann 2005-06-30 20:42:05 UTC
Created attachment 116185 [details]
Jay Vosburgh/Olaf Kirch's "don't drop non-VLAN traffic" patch

Comment 2 Marc Deslauriers 2005-07-31 00:23:59 UTC
Did this make it into a more recent upstream kernel?

Comment 3 Pekka Savola 2005-11-16 13:28:20 UTC
This doesn't seem to be important enough to fix just on its own, so mark it DEFER.

Comment 4 Roland Pope 2005-11-29 02:42:04 UTC
Any reason why this fix hasn't made it into the kernel yet? Especially Given 
the length of time this BUG has been open and triviality of the patch? I 
personally found this problem wasted a large amount of my time under RedHat 
Enterprise 4 as it broke a machine that was working with VLAN's under a bonding 
interface under Enterprise 3 and there was no obvious reason as no errors were 
logged and the bonded interface just ate non VLAN packets.
Shouldn't this BUG be logged against RedHat Enterprise 4 as maybe it would get 
a little more priority?

Comment 5 Roland Pope 2005-11-29 02:49:33 UTC
Any reason why this fix hasn't made it into the kernel yet? Especially Given 
the length of time this BUG has been open and triviality of the patch? I 
personally found this problem wasted a large amount of my time under RedHat 
Enterprise 4 as it broke a machine that was working with VLAN's under a bonding 
interface under Enterprise 3 and there was no obvious reason as no errors were 
logged and the bonded interface just ate non VLAN packets.
Shouldn't this BUG be logged against RedHat Enterprise 4 as maybe it would get 
a little more priority?

Comment 6 Pekka Savola 2005-11-29 07:33:32 UTC
Fedora Legacy is just doing security updates.

There may be a slightly higher chance of the bug fix going in (but don't count
on it) if the patch is includes in RHEL patches.

Comment 7 Jesse Keating 2005-12-01 15:08:11 UTC
The best way to see this fixed from Red Hat is to have a paying RHEL4 customer
call support and get an issue started with them.  Legacy may fix this issue, but
it would wait until there is a security flaw in the kernel that needs to be fixed.

Comment 8 David Eisenstein 2005-12-15 07:20:07 UTC
John W. Linville of Red Hat has proposed a patch for this issue for RHEL 4's
kernel as attachment #121717 [details] in Bug 174671 comment #2.  When we next go in to
build a FC2 kernel for a security problem, this is a patch we could put in also.
This problem may be present in FC1's and FC3's kernel as well.

Comment 9 David Eisenstein 2005-12-15 07:29:58 UTC
(Incidentally, John Linville's patch (attachment #121717 [details]) looks like exactly
the same patch that Bryan Wann submitted here (attachment 116185 [details]).)

Comment 10 Matthew Miller 2007-04-10 19:11:48 UTC
Fedora Core 2 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.


Note You need to log in before you can comment on or make changes to this bug.